# -*- encoding: utf-8 -*-
from setuptools import setup, find_packages


requirements = [
    'fedmsg',
    'fedmsg[consumers]',
    'requests',
    'python_jenkins',
]


setup(
    name='poor-man-ci',
    version='0.4.4',
    description='Trigger Jenkins builds for Pagure pull requests',
    license='GPLv2+',
    url='https://pagure.io/poor-man-ci',
    author='Lubomír Sedlář',
    author_email='lubomir.sedlar@gmail.com',
    install_requires=requirements,
    include_package_data=True,
    packages=find_packages(),
    entry_points="""
    [moksha.consumer]
    integrator = poormanci.consumer:Integrator
    """
)
